# HasGradleProject

interface HasGradleProject : ProjectModel

An element that is associated with a Gradle project. Via the Gradle project you can access (list, run, etc.) Gradle tasks.

#### Inheritors

IdeaModule
HierarchicalEclipseProject

## Functions

getGradleProject
Link copied to clipboard
abstract fun getGradleProject(): GradleProject
The associated Gradle project.
getProjectIdentifier
Link copied to clipboard
abstract fun getProjectIdentifier(): ProjectIdentifier
Returns the identifier for the project that this model is associated with.